View Issue Details

IDProjectCategoryView StatusLast Update
0022859Open CASCADEOCCT:VISpublic2014-11-11 13:01
Reportersan Assigned Tobugmaster  
PrioritynormalSeveritytext 
Status closedResolutionfixed 
PlatformAOSL 
Target Version6.8.0Fixed in Version6.8.0 
Summary0022859: Developers guide with code samples
DescriptionIt is necessary to add a sort of developer's guide to VIS documentation, with code samples illustrating each step in the usage procedure. VIS specification can be used as the basis.

Optimally, the developer's guide and VIS API reference should be merged into single HTML documentation.
TagsNo tags attached.
Test case number

Attached Files

  • VIS_Manual.7z (28,018 bytes)
  • VIS_Manual.tar.gz (38,791 bytes)
  • VIS_Manual_1.tar.gz (43,338 bytes)
  • VIS_UserGuides_ABA.doc (511,488 bytes)
  • VIS_UserGuides_ABA_v2.doc (605,696 bytes)
  • VIS_UserGuides_ABA_v2.1.doc (626,688 bytes)
  • VIS_UserGuides_ABA_v2.1_ssv.doc (628,736 bytes)

Relationships

related to 0022877 closedbugmaster Draw Harness - add plugin for VIS component 
related to 0024904 closedbugmaster Visualization - Integration of VIS component 
related to 0023495 closedssv Transformation problem: Shape Picker works on initial data set 

Activities

rkv

2011-12-23 16:53

developer  

VIS_Manual.7z (28,018 bytes)

rkv

2011-12-23 16:55

developer   ~0018971

Dear Sergey, could you please revise the attached Word version of the developer's guide for VIS.

san

2011-12-23 18:03

developer  

VIS_Manual.tar.gz (38,791 bytes)

san

2011-12-23 18:04

developer   ~0018988

I have attached the reviewed document with few remarks and changes in "track changes" mode.

rkv

2011-12-26 12:19

developer  

VIS_Manual_1.tar.gz (43,338 bytes)

rkv

2011-12-26 12:20

developer   ~0018999

Dear Sergey, could you please revise the updated version of the developer's guide for VIS. Thank you in advance.

san

2011-12-27 12:47

developer   ~0019014

Last edited: 2011-12-27 12:50

I have only two remarks:

1. p.3.4. OCCT shapes and sub-shapes selection in VTK viewer
Please, explain somewhere here that it is more efficient to create a picker instance and specify the renderer to be used only once, that it is like this because the picking algorithm calculates some internal data when the renderer or some of its parameters are changed so it makes sense to minimize the number of such updates…Also please describe briefly how the OCCT detection algorithm is used by the picker (maybe you can find a better place in the document for such description).

2. Could you please run the MS Word spell checker with grammar checks enabled, or look through the document searching for the most noticeable grammar mistakes (I saw "allows a selection of edges..." - here "a" is not needed because "selection" is a process in this context so it is an uncountable noun).

rkv

2011-12-27 17:57

developer   ~0019021

The improved documentation can be found at http://www.nnov.opencascade.com/~rkv/ivtk/html/manual.html

san

2012-08-18 14:45

developer   ~0021273

The up-to-date and reviewed (by SSV and SAN) VIS User's Guide and VIS DRAW User's Guide can be found in CR22877 Git branch of occt-doc.git repository.
Should be integrated into master.

atp

2012-08-24 18:24

developer   ~0021334

Last edited: 2012-08-24 18:25

VIS User's Guide was uploaded to GIT Master

abv

2014-09-12 14:29

manager   ~0031666

Please recover the User Guide, convert it to Markdown format, and add to OCCT UGs

aba

2014-09-26 19:15

developer   ~0032269

Last edited: 2014-09-26 19:16

Attached VIS_UserGuides_ABA.doc file is the last version of VIS documentation from the issue 0022877.

But it needs final corrections and review.

aba

2014-09-26 19:16

developer  

VIS_UserGuides_ABA.doc (511,488 bytes)

aba

2014-09-29 17:31

developer  

VIS_UserGuides_ABA_v2.doc (605,696 bytes)

aba

2014-09-29 17:34

developer   ~0032325

Dear ssv,

could you please review the last documentation version VIS_UserGuides_ABA_v2.doc?

aba

2014-09-29 19:07

developer  

VIS_UserGuides_ABA_v2.1.doc (626,688 bytes)

ssv

2014-09-30 17:19

developer  

VIS_UserGuides_ABA_v2.1_ssv.doc (628,736 bytes)

ssv

2014-09-30 17:21

developer   ~0032466

Text has been reviewed. I propose to finalize this activity with reviewing by visualization experts (san, kgv).

Dear aba,

Could you proceed with it?

aba

2014-09-30 17:31

developer   ~0032467

Dear kgv,

could you please review the last version of VIS documentation?

kgv

2014-10-02 17:19

developer   ~0032597

Please proceed document further.

bugmaster

2014-10-02 17:32

administrator   ~0032602

Yury,

Please make proofreading the User Guide, convert it to Markdown format, and add to OCCT UGs

git

2014-10-08 10:51

administrator   ~0032796

Branch CR22859 has been created by ysn.

SHA-1: 97fcdfd3eede40cd7f510d427ed8d22e1b15ac66


Detailed log of new commits:

Author: ysn
Date: Tue Oct 7 15:57:59 2014 +0400

    A user's guide for VTK Interactive Services has been added in the documentation

git

2014-10-08 11:22

administrator   ~0032798

Branch CR22859 has been updated by ysn.

SHA-1: 5a486312b8dd7880f3c3b7a8452376839e574f5f


Detailed log of new commits:

Author: ysn
Date: Wed Oct 8 11:21:58 2014 +0400

    quick fix

git

2014-10-09 14:38

administrator   ~0032895

Branch CR22859 has been updated by abv.

SHA-1: b1596ced0bcdd614a1b3e1e1cf9524735b66b7d3


Detailed log of new commits:

Author: abv
Date: Thu Oct 9 14:38:07 2014 +0400

    Minor corrections in documentation syntax

abv

2014-10-09 14:40

manager   ~0032896

Reviewed and tested, please integrate

git

2014-10-21 16:41

administrator   ~0033413

Branch CR22859 has been deleted by inv.

SHA-1: b1596ced0bcdd614a1b3e1e1cf9524735b66b7d3

Related Changesets

occt: master beb18c1f

2014-10-09 12:33:21

ysn


Committer: bugmaster Details Diff
0022859: Developers guide with code samples

A user's guide for VTK Interactive Services has been added in the documentation

quick fix

Minor corrections in documentation syntax
Affected Issues
0022859
mod - dox/dev_guides/building/android/android.md Diff File
mod - dox/dev_guides/building/cmake/cmake.md Diff File
mod - dox/FILES_HTML.txt Diff File
mod - dox/FILES_PDF.txt Diff File
mod - dox/user_guides/user_guides.md Diff File
add - dox/user_guides/vis/images/vis_image001.png Diff File
add - dox/user_guides/vis/images/vis_image002.png Diff File
add - dox/user_guides/vis/images/vis_image003.png Diff File
add - dox/user_guides/vis/images/vis_image004.png Diff File
add - dox/user_guides/vis/images/vis_image005.png Diff File
add - dox/user_guides/vis/images/vis_image006.png Diff File
add - dox/user_guides/vis/images/vis_image007.png Diff File
add - dox/user_guides/vis/images/vis_image008.png Diff File
add - dox/user_guides/vis/images/vis_image009.png Diff File
add - dox/user_guides/vis/images/vis_image010.png Diff File
add - dox/user_guides/vis/images/vis_image011.png Diff File
add - dox/user_guides/vis/images/vis_image012.png Diff File
add - dox/user_guides/vis/images/vis_image013.png Diff File
add - dox/user_guides/vis/vis.md Diff File

Issue History

Date Modified Username Field Change
2011-12-16 16:54 san New Issue
2011-12-16 16:54 san Assigned To => rkv
2011-12-16 16:54 san Status new => assigned
2011-12-23 16:53 rkv File Added: VIS_Manual.7z
2011-12-23 16:55 rkv Note Added: 0018971
2011-12-23 16:55 rkv Status assigned => feedback
2011-12-23 16:55 rkv Assigned To rkv => san
2011-12-23 18:03 san File Added: VIS_Manual.tar.gz
2011-12-23 18:04 san Note Added: 0018988
2011-12-23 18:04 san Status feedback => assigned
2011-12-23 18:04 san Assigned To san => rkv
2011-12-26 07:39 abv Project Open CASCADE => Internal
2011-12-26 12:19 rkv File Added: VIS_Manual_1.tar.gz
2011-12-26 12:20 rkv Note Added: 0018999
2011-12-26 12:20 rkv Assigned To rkv => san
2011-12-26 12:20 rkv Status assigned => feedback
2011-12-27 12:47 san Note Added: 0019014
2011-12-27 12:47 san Status feedback => assigned
2011-12-27 12:47 san Assigned To san => rkv
2011-12-27 12:50 san Note Edited: 0019014
2011-12-27 17:57 rkv Note Added: 0019021
2011-12-27 17:57 rkv Status assigned => resolved
2012-05-12 17:27 mkv Assigned To rkv => san
2012-08-18 14:45 san Note Added: 0021273
2012-08-18 14:45 san Assigned To san => atp
2012-08-18 14:45 san Status resolved => assigned
2012-08-18 14:46 san Status assigned => resolved
2012-08-18 14:46 san Status resolved => reviewed
2012-08-18 14:46 san Relationship added related to 0022877
2012-08-24 18:24 atp Note Added: 0021334
2012-08-24 18:24 atp Assigned To atp => bugmaster
2012-08-24 18:25 atp Note Edited: 0021334
2012-10-24 17:27 abv Target Version => 6.6.0
2013-04-15 14:44 abv Target Version 6.6.0 => 6.7.0
2013-12-21 10:21 abv Target Version 6.7.0 => 6.7.1
2014-04-04 17:13 abv Target Version 6.7.1 =>
2014-09-12 14:26 abv Target Version => 6.8.0
2014-09-12 14:29 abv Note Added: 0031666
2014-09-18 09:58 abv Category PRODUCTS:VIS => OCCT:VIS
2014-09-18 10:39 bugmaster Project Internal => Open CASCADE
2014-09-26 09:27 abv Target Version 6.8.0 => 7.1.0
2014-09-26 19:11 aba File Added: products_UserGuides_DOC_vis_ABA.doc
2014-09-26 19:11 aba File Deleted: products_UserGuides_DOC_vis_ABA.doc
2014-09-26 19:11 aba File Added: VIS_UserGuides_DOC_vis_ABA.doc
2014-09-26 19:15 aba Note Added: 0032269
2014-09-26 19:15 aba Note Edited: 0032269
2014-09-26 19:16 aba File Deleted: VIS_UserGuides_DOC_vis_ABA.doc
2014-09-26 19:16 aba File Added: VIS_UserGuides_ABA.doc
2014-09-26 19:16 aba Note Edited: 0032269
2014-09-26 19:24 abv Assigned To bugmaster => aba
2014-09-26 19:24 abv Status reviewed => assigned
2014-09-26 19:24 abv Target Version 7.1.0 => 6.8.0
2014-09-26 19:29 aba Relationship added related to 0023495
2014-09-29 17:31 aba File Added: VIS_UserGuides_ABA_v2.doc
2014-09-29 17:34 aba Note Added: 0032325
2014-09-29 17:34 aba Assigned To aba => ssv
2014-09-29 17:34 aba Status assigned => feedback
2014-09-29 19:07 aba File Added: VIS_UserGuides_ABA_v2.1.doc
2014-09-29 19:31 aba Relationship added related to 0024904
2014-09-30 17:19 ssv File Added: VIS_UserGuides_ABA_v2.1_ssv.doc
2014-09-30 17:21 ssv Note Added: 0032466
2014-09-30 17:21 ssv Assigned To ssv => aba
2014-09-30 17:31 aba Assigned To aba => kgv
2014-09-30 17:31 aba Note Added: 0032467
2014-10-02 17:19 kgv Note Added: 0032597
2014-10-02 17:19 kgv Assigned To kgv => bugmaster
2014-10-02 17:19 kgv Status feedback => reviewed
2014-10-02 17:32 bugmaster Note Added: 0032602
2014-10-02 17:32 bugmaster Assigned To bugmaster => ysn
2014-10-02 17:32 bugmaster Status reviewed => assigned
2014-10-08 10:51 git Note Added: 0032796
2014-10-08 10:52 ysn Assigned To ysn => abv
2014-10-08 10:53 ysn Status assigned => feedback
2014-10-08 11:22 git Note Added: 0032798
2014-10-09 14:38 git Note Added: 0032895
2014-10-09 14:40 abv Note Added: 0032896
2014-10-09 14:40 abv Assigned To abv => bugmaster
2014-10-09 14:40 abv Status feedback => tested
2014-10-13 17:52 bugmaster Changeset attached => occt master beb18c1f
2014-10-13 17:52 bugmaster Status tested => verified
2014-10-13 17:52 bugmaster Resolution open => fixed
2014-10-21 16:41 git Note Added: 0033413
2014-11-11 12:43 aiv Fixed in Version => 6.8.0
2014-11-11 13:01 aiv Status verified => closed